#4107 bug #4046 patch causes issue with mod_deflate detection

4.0.6
wont-fix
Marc Delisle
None
5
2013-09-30
2013-09-27
Keith Stewart
No

The patch provided at https://github.com/phpmyadmin/phpmyadmin/commit/5298602f8edb4475fce5d299532c7780e0e314a5.patch, and merged in 4.0.6, causes mod_deflate enabled servers to double-gzip-compress the exports again.

Commenting out the following in export.php returns single compression behavior.

define('PMA_BYPASS_GET_INSTANCE', 1);

Tested:
4.0.5 with patch applied at server
4.0.6 first upstream merged release
4.0.7 upstream merged release

Resolution:
Add deflate detection when PMA_Responce::getInstance() is bypassed, if possible.

Discussion

  • Marc Delisle
    Marc Delisle
    2013-09-30

    • status: open --> wont-fix
    • assigned_to: Marc Delisle